
package org.tio.sitexxx.im.server.vo;

import cn.hutool.core.bean.BeanUtil;
import lombok.Data;
import org.tio.sitexxx.service.model.main.WxWalletBankCards;

import java.util.Map;

/**
 * 解绑请求Vo
 * @author xufei
 * 2020年11月2日 下午7:07:44
 */
@Data
public class UnBindCardVo {
	/**
	 * 绑定的银行卡协议号-Y
	 */
	private String agrno;

	/**
	 * 
	 */
	private String bankcardid;

	private String paypwd;

	private WxWalletBankCards removeCard;
	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:24
	 */
	public Map<String, Object> toMap() {
		return BeanUtil.beanToMap(this);
	}

	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:23
	 */
	public static UnBindCardVo toBean(Map<String, Object> bindVo) {
		return BeanUtil.fillBeanWithMap(bindVo, new UnBindCardVo(), true);
	}
}
